# GET lists/:uuid/leaderboard

## Get List Leaderboard

<mark style="color:green;">`GET`</mark> [`https://app.referralhero.com/api/v2/lists/:uuid/leaderboard`](https://app.referralhero.com/api/v2/lists/:uuid/leaderboard)

Get all the lists/campaigns in your account. Results are paginated (10 results per page). Only active lists will be retrieved.

**Path Parameters**

| Name        | Type   | Description                                                |
| ----------- | ------ | ---------------------------------------------------------- |
| `api_token` | string | Your API Token                                             |
| `uuid`      | string | Your List UUID                                             |
| `count`     | string | Number (10-100) of subscribers returned in the leaderboard |

**Response**

{% tabs %}
{% tab title="200" %}

```json
{
    "status": "ok",
    "data": {
        "ranking": [
            {
                "id": "sub_493dd0742460",
                "name": "Lamar Duffy",
                "email": "lamar@referralhero.com",
                "phone_number": "",
                "crypto_wallet_address": "",
                "crypto_wallet_provider": "",
                "other_identifier_value": "",
                "extra_field": "",
                "extra_field_2": "",
                "extra_field_3": "",
                "extra_field_4": "",
                "option_field": "",
                "conversion_amount": 0.0,
                "code": "1fxxxxxxx",
                "position": 1,
                "referred": false,
                "referred_by": {},
                "visitors": 4,
                "pending_referrals": 3,
                "unconfirmed_referrals": 0,
                "people_referred": 3,
                "level_2_confirmed_referrals": 1,
                "level_3_confirmed_referrals": 0,
                "promoted": false,
                "promoted_at": null,
                "verified": true,
                "verified_at": 1725629439,
                "points": 0,
                "risk_level": 0,
                "host": "https://beryl-com.myshopify.com/",
                "source": null,
                "device": null,
                "referral_link": "https://beryl-com.myshopify.com/?mwr=1fxxxxx",
                "created_at": 1725629438,
                "last_updated_at": 1725878751,
                "referral_status": null,
                "referral_status_at": null,
                "universal_link": "https://app.referralhero.com//MFxxxxxxxxx/universal_link?mwr=1fxxxxx"
            },
            {
                "id": "sub_8d8d73c2112b",
                "name": "Nishchay Gupta",
                "email": "nishchay@referralhero.com",
                "phone_number": "",
                "crypto_wallet_address": "",
                "crypto_wallet_provider": "",
                "other_identifier_value": "",
                "extra_field": "",
                "extra_field_2": "",
                "extra_field_3": "",
                "extra_field_4": "",
                "option_field": "",
                "conversion_amount": 0.0,
                "code": "61xxxxxx",
                "position": 2,
                "referred": false,
                "referred_by": {},
                "visitors": 6,
                "pending_referrals": 2,
                "unconfirmed_referrals": 0,
                "people_referred": 2,
                "level_2_confirmed_referrals": 1,
                "level_3_confirmed_referrals": 0,
                "promoted": false,
                "promoted_at": null,
                "verified": true,
                "verified_at": 1728558405,
                "points": 0,
                "risk_level": 0,
                "host": "https://beryl-com.myshopify.com/",
                "source": null,
                "device": null,
                "referral_link": "https://beryl-com.myshopify.com/?mwr=61xxxxx",
                "created_at": 1728558405,
                "last_updated_at": 1728561790,
                "referral_status": null,
                "referral_status_at": null,
                "universal_link": "https://app.referralhero.com//MFxxxxxxxx/universal_link?mwr=61xxxxxx"
            },
            ...
        ],
        "count": 10
    },
    "calls_left": 1000,
    "timestamp": 1731939843
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://berylsystems.gitbook.io/referral-hero-documentation/integrations/rest-api/lists/get-lists-uuid-leaderboard.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
